package tkio.controller;

import common.model.User;
import common.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import security.annotation.CurrentAccount;
import tkio.service.TkioAccountService;
import util.ResultModel;

/**
 * Created by mxq on 2017/12/21.
 */
@Controller
@RequestMapping("marketing/accountmng/tkio")
public class TkioAccountController {

    @RequestMapping(value = "/find", method = RequestMethod.GET)
    @ResponseBody
    public ResultModel find(@CurrentAccount User loginAccount) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "/delete", method = RequestMethod.GET)
    @ResponseBody
    public ResultModel delete(@CurrentAccount User loginAccount, @RequestBody User resource) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "/update/{id}", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel updateName(@CurrentAccount User loginAccount, @RequestParam String name, @PathVariable Long id) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "/update/{id}/pwd", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel updatePwd(@CurrentAccount User loginAccount, @RequestParam String pwd, @PathVariable Long id) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "/update/pwd", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel updatePwd(@RequestParam String email, @RequestParam String pwd) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "forget/", method = RequestMethod.GET)
    @ResponseBody
    public ResultModel sengCode(@RequestParam String email) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "valid/code", method = RequestMethod.GET)
    @ResponseBody
    public ResultModel validCode(@RequestParam String email, @RequestParam String code) {

        return ResultModel.OK();
    }
}
