package common.repository;

import common.model.Auth;
import common.model.BackVisit;
import common.model.KeyValue;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;
import tkio.model.Account;

import java.util.List;

@Transactional
public interface BackVisitRepository extends JpaRepository<BackVisit, Long> {

    @Query(value = "SELECT * from back_visit", nativeQuery = true)
    List<BackVisit> findAllCount();
}
